
import {version, isNumber, isString, isChar, isArray} from "./index";

describe('TEST', () => {
    describe('Version', () => {
        test('version number from the model',() => {
            expect(version()).toBe('1.0.0');
        });
    });

    /**
     * Tests about function isNumber
     */
    describe('Tests about isNumber', () => {
        test('Number = 100',() => {
            let my_value = 100;
            expect(isNumber(my_value)).toBe(true);
        });
        test('Number = -2100',() => {
            let my_value = -2100;
            expect(isNumber(my_value)).toBe(true);
        });
        test('Number = "salut',() => {
            let my_value = "salut";
            expect(isNumber(my_value)).toBe(false);
        });
        test('Number = 0.383292',() => {
            let my_value = 0.383292;
            expect(isNumber(my_value)).toBe(true);
        });
        test('Number = [90]',() => {
            let my_value =[90];
            expect(isNumber(my_value)).toBe(false);
        });
    });

    /**
     * Tests about function isString
     */
    describe('Tests about isString', () => {
        test('String = "salut"',() => {
            let my_value = "salut";
            expect(isString(my_value)).toBe(true);
        });
        test('String = "&é67890°"',() => {
            let my_value = "&é67890°";
            expect(isString(my_value)).toBe(true);
        });
        test('String = 20',() => {
            let my_value = 20;
            expect(isString(my_value)).toBe(false);
        });
        test('String =[]',() => {
            let my_value = 0.383292;
            expect(isString(my_value)).toBe(false);
        });
    });

    /**
     * Tests about function isChar
     */
    describe('Tests about isChar', () => {
        test('Char = "C"',() => {
            let my_value = "C";
            expect(isChar(my_value)).toBe(true);
        });
        test('Char = "salut"',() => {
            let my_value = "salut";
            expect(isChar(my_value)).toBe(false);
        });
        test('Char = 20',() => {
            let my_value = 20;
            expect(isChar(my_value)).toBe(false);
        });
        test('Char =[]',() => {
            let my_value = 0.383292;
            expect(isChar(my_value)).toBe(false);
        });
    });

    /**
     * Tests about function isArray
     */
    describe('Tests about isArray', () => {
        test('Array = []',() => {
            let my_value = [];
            expect(isArray(my_value)).toBe(true);
        });
        test('Array = [20,"salut, ["yo"]]',() => {
            let my_value = [20,"salut", ["yo"]];
            expect(isArray(my_value)).toBe(true);
        });
        test('Char = "salut"',() => {
            let my_value = "salut";
            expect(isArray(my_value)).toBe(false);
        });
        test('Char = 20',() => {
            let my_value = 20;
            expect(isArray(my_value)).toBe(false);
        });
    });
});